﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500
INSTRUMENT:            Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500
DATE:                  2017-02-06 09:27:01
AUTHOR:                Fluke
REVISION:              $Revision: 18156 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       18
NUMBER OF LINES:       468
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent DSO80204B, DSO80304B, DSO80404B, DSO80604B, DSO80804A/B,
#        DSO81004A/B, DSO81204A/B, DSO81304A/B
#
#  Compatibility:
#        MET/CAL 7.11 SP1 (7.11j) or later
#
#  Subprocedures:
#        Sub Agilent Infiniium Channel Selection
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# If TAR mode is selected, set NTHROW = to zero to reduce execution time.
  1.001  IF           ZCMPI(GET("Meas_Mode"), "TAR")
  1.002  VSET         NTHROW = 0
  1.003  ENDIF

  1.004  CALL         Sub Agilent Infiniium Channel Selection
  1.005  MATH         L[10] = GET("Chan")

  1.006  JMPL         OFFSET_GAIN                  PSUBI("Offset Gain")
  1.007  JMPL         DC_GAIN                      PSUBI("DC Gain")
  1.008  DISP         {Subprocedure not found}!
  1.009  END

# ====== Sub AT DSO8xxxx (1 yr) Offset Gain VER IEEE /9500 =================

  1.010  LABEL        OFFSET_GAIN

# Specifications: <= 3.5 V: ±(2% of channel offset + 1% of full scale + 1 mV)

# The offset accuracy specification has two terms:
#   ±(offset gain + zero error)
# The offset gain specification is ±2% of channel offset and the zero error
# specification is ±1% of full scale. The offset accuracy test procedure
# tests each of these terms individually. This procedure addresses offset
# gain.

# Full scale is defined as 8 vertical divisions.

# The Agilent Service Guide computes the offset gain deviation directly in
# percent. This procedure computes the actual gain error in volts, then
# compares that against the actual specification (±2% of offset).

  1.011  IF           GET("Chan") == 1
  1.012  RSLT         =
  1.013  RSLT         = Offset Gain Test (deviation from applied offset)
  1.014  ENDIF

  1.015  RSLT         =
  1.016  RSLT         =Channel [L10]
  1.017  TARGET       -p
  1.018  HEAD         OFFSET GAIN TEST (CH [L10]): 5 mV/div
  1.019  TSET         TDESC = 5 mV/div
  1.020  SCPI         CHAN[L10]:SCAL 5E-3;:ACQ:AVER:COUNT 256
  1.021  TARGET       -m
# Apply UUT positive offset.
  1.022  SCPI         CHAN[L10]:OFFS 400E-3
# Apply positive calibrator voltage to return signal to within screen area.
  1.023  9500         400mV                                             S
  1.024  WAIT         -t 2 System settling...
# Measure calibrator positive voltage (UUT +gain error).
  1.025  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
# Store measured (positive) value.
  1.026  MATH         L[1] = MEM
# Apply UUT negative offset.
  1.027  SCPI         CHAN[L10]:OFFS -400E-3
# Apply negative calibrator voltage to return signal to within screen area.
  1.028  9500         -400mV                                            S
  1.029  WAIT         -t 2 System settling...
# Measure calibrator negative voltage (UUT -gain error).
  1.030  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
# Store measured (negative) value.
  1.031  MATH         L[2] = MEM
# Apply UUT zero offset.
  1.032  SCPI         CHAN[L10]:OFFS 0
# Set calibrator output to zero.
  1.033  9500         0mV                                               S
  1.034  WAIT         -t 2 System settling...
# Measure calibrator zero output (UUT offset error).
  1.035  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
# Compute absolute offset gain error; plus & minus.
  1.036  MATH         L[3] = (L[1] - MEM) - 400E-3
  1.037  MATH         L[4] = (L[2] - MEM) + 400E-3

# From both polarities of offset error, report the largest error.
  1.038  IF           ABS(L[3]) > ABS(L[4])
  1.039  MATH         MEM = L[3]
  1.040  ELSE
  1.041  MATH         MEM = L[4]
  1.042  ENDIF

  1.043  MATH         MEM = MEM / 1E-3
  1.044  MEMCX  400   0.00mV         2/

  2.001  HEAD         OFFSET GAIN TEST (CH [L10]): 10 mV/div
  2.002  TSET         TDESC = 10 mV/div
  2.003  SCPI         CHAN[L10]:SCAL 10E-3
  2.004  TARGET       -m
  2.005  SCPI         CHAN[L10]:OFFS 400E-3
  2.006  9500         400mV                                             S
  2.007  WAIT         -t 2 System settling...
  2.008  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  2.009  MATH         L[1] = MEM
  2.010  SCPI         CHAN[L10]:OFFS -400E-3
  2.011  9500         -400mV                                            S
  2.012  WAIT         -t 2 System settling...
  2.013  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  2.014  MATH         L[2] = MEM
  2.015  SCPI         CHAN[L10]:OFFS 0
  2.016  9500         0mV                                               S
  2.017  WAIT         -t 2 System settling...
  2.018  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  2.019  MATH         L[3] = (L[1] - MEM) - 400E-3
  2.020  MATH         L[4] = (L[2] - MEM) + 400E-3

  2.021  IF           ABS(L[3]) > ABS(L[4])
  2.022  MATH         MEM = L[3]
  2.023  ELSE
  2.024  MATH         MEM = L[4]
  2.025  ENDIF

  2.026  MATH         MEM = MEM / 1E-3
  2.027  MEMCX  400   0.00mV         2/

  3.001  HEAD         OFFSET GAIN TEST (CH [L10]): 20 mV/div
  3.002  TSET         TDESC = 20 mV/div
  3.003  SCPI         CHAN[L10]:SCAL 20E-3
  3.004  TARGET       -m
  3.005  SCPI         CHAN[L10]:OFFS 400E-3
  3.006  9500         400mV                                             S
  3.007  WAIT         -t 2 System settling...
  3.008  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  3.009  MATH         L[1] = MEM
  3.010  SCPI         CHAN[L10]:OFFS -400E-3
  3.011  9500         -400mV                                            S
  3.012  WAIT         -t 2 System settling...
  3.013  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  3.014  MATH         L[2] = MEM
  3.015  SCPI         CHAN[L10]:OFFS 0
  3.016  9500         0mV                                               S
  3.017  WAIT         -t 2 System settling...
  3.018  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  3.019  MATH         L[3] = (L[1] - MEM) - 400E-3
  3.020  MATH         L[4] = (L[2] - MEM) + 400E-3

  3.021  IF           ABS(L[3]) > ABS(L[4])
  3.022  MATH         MEM = L[3]
  3.023  ELSE
  3.024  MATH         MEM = L[4]
  3.025  ENDIF

  3.026  MATH         MEM = MEM / 1E-3
  3.027  MEMCX  400   0.00mV         2/

  4.001  HEAD         OFFSET GAIN TEST (CH [L10]): 50 mV/div
  4.002  TSET         TDESC = 50 mV/div
  4.003  SCPI         CHAN[L10]:SCAL 50E-3
  4.004  TARGET       -m
  4.005  SCPI         CHAN[L10]:OFFS 900E-3
  4.006  9500         900mV                                             S
  4.007  WAIT         -t 2 System settling...
  4.008  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  4.009  MATH         L[1] = MEM
  4.010  SCPI         CHAN[L10]:OFFS -900E-3
  4.011  9500         -900mV                                            S
  4.012  WAIT         -t 2 System settling...
  4.013  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  4.014  MATH         L[2] = MEM
  4.015  SCPI         CHAN[L10]:OFFS 0
  4.016  9500         0mV                                               S
  4.017  WAIT         -t 2 System settling...
  4.018  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  4.019  MATH         L[3] = (L[1] - MEM) - 900E-3
  4.020  MATH         L[4] = (L[2] - MEM) + 900E-3

  4.021  IF           ABS(L[3]) > ABS(L[4])
  4.022  MATH         MEM = L[3]
  4.023  ELSE
  4.024  MATH         MEM = L[4]
  4.025  ENDIF

  4.026  MATH         MEM = MEM / 1E-3
  4.027  MEMCX  900   0.00mV         2/

  5.001  HEAD         OFFSET GAIN TEST (CH [L10]): 100 mV/div
  5.002  TSET         TDESC = 100 mV/div
  5.003  SCPI         CHAN[L10]:SCAL 100E-3
  5.004  TARGET       -m
  5.005  SCPI         CHAN[L10]:OFFS 1.6
  5.006  9500         1.6V                                              S
  5.007  WAIT         -t 2 System settling...
  5.008  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  5.009  MATH         L[1] = MEM
  5.010  SCPI         CHAN[L10]:OFFS -1.6
  5.011  9500         -1.6V                                             S
  5.012  WAIT         -t 2 System settling...
  5.013  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  5.014  MATH         L[2] = MEM
  5.015  SCPI         CHAN[L10]:OFFS 0
  5.016  9500         0V                                                S
  5.017  WAIT         -t 2 System settling...
  5.018  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  5.019  MATH         L[3] = (L[1] - MEM) - 1.6
  5.020  MATH         L[4] = (L[2] - MEM) + 1.6

  5.021  IF           ABS(L[3]) > ABS(L[4])
  5.022  MATH         MEM = L[3]
  5.023  ELSE
  5.024  MATH         MEM = L[4]
  5.025  ENDIF

  5.026  MEMCX  1.6   0.000V         2/

  6.001  HEAD         OFFSET GAIN TEST (CH [L10]): 200 mV/div
  6.002  TSET         TDESC = 200 mV/div
  6.003  SCPI         CHAN[L10]:SCAL 200E-3
  6.004  TARGET       -m
  6.005  SCPI         CHAN[L10]:OFFS 2.4
  6.006  9500         2.4V                                              S
  6.007  WAIT         -t 2 System settling...
  6.008  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  6.009  MATH         L[1] = MEM
  6.010  SCPI         CHAN[L10]:OFFS -2.4
  6.011  9500         -2.4V                                             S
  6.012  WAIT         -t 2 System settling...
  6.013  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  6.014  MATH         L[2] = MEM
  6.015  SCPI         CHAN[L10]:OFFS 0
  6.016  9500         0V                                                S
  6.017  WAIT         -t 2 System settling...
  6.018  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  6.019  MATH         L[3] = (L[1] - MEM) - 2.4
  6.020  MATH         L[4] = (L[2] - MEM) + 2.4

  6.021  IF           ABS(L[3]) > ABS(L[4])
  6.022  MATH         MEM = L[3]
  6.023  ELSE
  6.024  MATH         MEM = L[4]
  6.025  ENDIF

  6.026  MEMCX  2.4   0.000V         2/

  7.001  HEAD         OFFSET GAIN TEST (CH [L10]): 500 mV/div
  7.002  TSET         TDESC = 500 mV/div
  7.003  SCPI         CHAN[L10]:SCAL 500E-3
  7.004  TARGET       -m
  7.005  SCPI         CHAN[L10]:OFFS 2.4
  7.006  9500         2.4V                                              S
  7.007  WAIT         -t 2 System settling...
  7.008  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  7.009  MATH         L[1] = MEM
  7.010  SCPI         CHAN[L10]:OFFS -2.4
  7.011  9500         -2.4V                                             S
  7.012  WAIT         -t 2 System settling...
  7.013  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  7.014  MATH         L[2] = MEM
  7.015  SCPI         CHAN[L10]:OFFS 0
  7.016  9500         0V                                                S
  7.017  WAIT         -t 2 System settling...
  7.018  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  7.019  MATH         L[3] = (L[1] - MEM) - 2.4
  7.020  MATH         L[4] = (L[2] - MEM) + 2.4

  7.021  IF           ABS(L[3]) > ABS(L[4])
  7.022  MATH         MEM = L[3]
  7.023  ELSE
  7.024  MATH         MEM = L[4]
  7.025  ENDIF

  7.026  MEMCX  2.4   0.000V         2/

  8.001  HEAD         OFFSET GAIN TEST (CH [L10]): 1 V/div
  8.002  TSET         TDESC = 1 V/div
  8.003  SCPI         CHAN[L10]:SCAL 1
  8.004  TARGET       -m
  8.005  SCPI         CHAN[L10]:OFFS 2.4
  8.006  9500         2.4V                                              S
  8.007  WAIT         -t 2 System settling...
  8.008  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  8.009  MATH         L[1] = MEM
  8.010  SCPI         CHAN[L10]:OFFS -2.4
  8.011  9500         -2.4V                                             S
  8.012  WAIT         -t 2 System settling...
  8.013  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  8.014  MATH         L[2] = MEM
  8.015  SCPI         CHAN[L10]:OFFS 0
  8.016  9500         0V                                                S
  8.017  WAIT         -t 2 System settling...
  8.018  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
  8.019  MATH         L[3] = (L[1] - MEM) - 2.4
  8.020  MATH         L[4] = (L[2] - MEM) + 2.4

  8.021  IF           ABS(L[3]) > ABS(L[4])
  8.022  MATH         MEM = L[3]
  8.023  ELSE
  8.024  MATH         MEM = L[4]
  8.025  ENDIF

  8.026  MEMCX  2.4   0.000V         2/

  9.001  9500         *                                                 S
  9.002  SCPI         *RST
  9.003  END

  9.004  EVAL   Increment Test Number

# ====== Sub AT DSO8xxxx (1 yr) DC Gain VER IEEE /9500 =====================

 10.001  LABEL        DC_GAIN

# Specifications: ±(2% of full scale at full resolution channel scale

# Full scale is defined as 8 vertical divisions.

 10.002  IF           GET("Chan") == 1
 10.003  RSLT         =
 10.004  HEAD         {DC GAIN ACCURACY TEST}
 10.005  ENDIF

 10.006  RSLT         =
 10.007  RSLT         =Channel [L10]
 10.008  TARGET       -p
 10.009  HEAD         DC GAIN ACCURACY TEST (CH [L10]): 5 mV/div
 10.010  TSET         TDESC = 5 mV/div
 10.011  SCPI         CHAN[L10]:SCAL 5E-3;OFFS 0V;:ACQ:AVER:COUNT 256
 10.012  TARGET       -m
 10.013  9500         15mV                                              S
 10.014  WAIT         -t 2 System settling...
 10.015  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 10.016  MATH         L[1] = MEM
 10.017  9500         -15mV                                             S
 10.018  WAIT         -t 2 System settling...
 10.019  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 10.020  MATH         MEM = (L[1] - MEM) / 1E-3
 10.021  MEMCX  40    30.00mV        2/

 11.001  HEAD         DC GAIN ACCURACY TEST (CH [L10]): 10 mV/div
 11.002  TSET         TDESC = 10 mV/div
 11.003  SCPI         CHAN[L10]:SCAL 10E-3;OFFS 0V
 11.004  TARGET       -m
 11.005  9500         30mV                                              S
 11.006  WAIT         -t 2 System settling...
 11.007  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 11.008  MATH         L[1] = MEM
 11.009  9500         -30mV                                             S
 11.010  WAIT         -t 2 System settling...
 11.011  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 11.012  MATH         MEM = (L[1] - MEM) / 1E-3
 11.013  MEMCX  80    60.00mV        2/

 12.001  HEAD         DC GAIN ACCURACY TEST (CH [L10]): 20 mV/div
 12.002  TSET         TDESC = 20 mV/div
 12.003  SCPI         CHAN[L10]:SCAL 20E-3;OFFS 0V
 12.004  TARGET       -m
 12.005  9500         60mV                                              S
 12.006  WAIT         -t 2 System settling...
 12.007  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 12.008  MATH         L[1] = MEM
 12.009  9500         -60mV                                             S
 12.010  WAIT         -t 2 System settling...
 12.011  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 12.012  MATH         MEM = (L[1] - MEM) / 1E-3
 12.013  MEMCX  160   120.00mV       2/

 13.001  HEAD         DC GAIN ACCURACY TEST (CH [L10]): 50 mV/div
 13.002  TSET         TDESC = 50 mV/div
 13.003  SCPI         CHAN[L10]:SCAL 50E-3;OFFS 0V
 13.004  TARGET       -m
 13.005  9500         150mV                                             S
 13.006  WAIT         -t 2 System settling...
 13.007  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 13.008  MATH         L[1] = MEM
 13.009  9500         -150mV                                            S
 13.010  WAIT         -t 2 System settling...
 13.011  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 13.012  MATH         MEM = (L[1] - MEM) / 1E-3
 13.013  MEMCX  400   300.00mV       2/

 14.001  HEAD         DC GAIN ACCURACY TEST (CH [L10]): 100 mV/div
 14.002  TSET         TDESC = 100 mV/div
 14.003  SCPI         CHAN[L10]:SCAL 100E-3;OFFS 0V
 14.004  TARGET       -m
 14.005  9500         300mV                                             S
 14.006  WAIT         -t 2 System settling...
 14.007  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 14.008  MATH         L[1] = MEM
 14.009  9500         -300mV                                            S
 14.010  WAIT         -t 2 System settling...
 14.011  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 14.012  MATH         MEM = (L[1] - MEM) / 1E-3
 14.013  MEMCX  800   600.00mV       2/

 15.001  HEAD         DC GAIN ACCURACY TEST (CH [L10]): 200 mV/div
 15.002  TSET         TDESC = 200 mV/div
 15.003  SCPI         CHAN[L10]:SCAL 200E-3;OFFS 0V
 15.004  TARGET       -m
 15.005  9500         0.6V                                              S
 15.006  WAIT         -t 2 System settling...
 15.007  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 15.008  MATH         L[1] = MEM
 15.009  9500         -0.6V                                             S
 15.010  WAIT         -t 2 System settling...
 15.011  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 15.012  MATH         MEM = L[1] - MEM
 15.013  MEMCX  1.6   1.200V         2/

 16.001  HEAD         DC GAIN ACCURACY TEST (CH [L10]): 500 mV/div
 16.002  TSET         TDESC = 500 mV/div
 16.003  SCPI         CHAN[L10]:SCAL 500E-3;OFFS 0V
 16.004  TARGET       -m
 16.005  9500         1.5V                                              S
 16.006  WAIT         -t 2 System settling...
 16.007  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 16.008  MATH         L[1] = MEM
 16.009  9500         -1.5V                                             S
 16.010  WAIT         -t 2 System settling...
 16.011  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 16.012  MATH         MEM = L[1] - MEM
 16.013  MEMCX  4     3.000V         2/

 17.001  HEAD         DC GAIN ACCURACY TEST (CH [L10]): 1 V/div
 17.002  TSET         TDESC = 1 V/div
 17.003  SCPI         CHAN[L10]:SCAL 1;OFFS 0V
 17.004  TARGET       -m
 17.005  9500         3.000V                                            S
 17.006  WAIT         -t 2 System settling...
 17.007  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 17.008  MATH         L[1] = MEM
 17.009  9500         -3.000V                                           S
 17.010  WAIT         -t 2 System settling...
 17.011  SCPI         MEAS:VAV? DISP,CHAN[L10][I]
 17.012  MATH         MEM = L[1] - MEM
 17.013  MEMCX  8     6.000V         2/

# If TAR mode is selected, reset NTHROW = to one.
 18.001  IF           ZCMPI(GET("Meas_Mode"), "TAR")
 18.002  VSET         NTHROW = 1
 18.003  ENDIF

 18.004  9500         *                                                 S
 18.005  SCPI         *RST
 18.006  END
